/////////////////////////////////////
//Fonctions utilises en cours de niveau
/////////////////////////////////////
function TesterFinNiveau(e:Event):void
{
	if(GrandPere.Ferme)
	{
		Trace("Niveau Termin");
		TerminerNiveau(1)
	}
	else
	{
		NbJetonsUtilises = Math.ceil(CompterJetons(GrandPere));//Arrondir, car sinon 0.3333333+0.33333333+.333333333 != 1 et on obtient un jeton de moins.
		if(NIVEAUX_JETONS[NumeroNiveauActuel]-NbJetonsUtilises<0)
		{
			TerminerNiveau(0);
			ChangeLevelInfo.htmlText="<b>Trop de noeuds allums !</b>";
		}
		UpdateInformations();
	}
}

function CompterJetons(NoeudActuel:Noeud):Number
{
	var NbJetonsInterieurEnfant:Number=0;
	if(NoeudActuel.Ferme)
	{

		NbJetonsInterieurEnfant +=1/NoeudActuel.Parents.length;//si on n'effectue pas la division, poser un jeton sur un noeud ayant deux parents coute deux jetons !
	}
	for each(var Enfant:Noeud in NoeudActuel.Enfants)
	{
		NbJetonsInterieurEnfant+=CompterJetons(Enfant);
	}
	return NbJetonsInterieurEnfant;
}